<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.iformall.mapper.WxCouponSendConfigMapper">
	<resultMap id="BaseResultMap" type="com.iformall.domain.po.WxCouponSendConfig">
		<id column="id" jdbcType="BIGINT" property="id" />
		<result column="tenant_id" jdbcType="VARCHAR" property="tenantId" />
		<result column="send_type" jdbcType="INTEGER" property="sendType" />
		<result column="value" jdbcType="INTEGER" property="value" />
		<result column="remark" jdbcType="VARCHAR" property="remark" />
		<result column="create_time" jdbcType="TIMESTAMP" property="createTime" />
		<result column="update_time" jdbcType="TIMESTAMP" property="updateTime" />
	</resultMap>
	
	<sql id="allColumns">
	    `id`,`tenant_id`,`send_type`,`value`,`remark`,`create_time`,`update_time`
	</sql>

	<sql id="dynamicWhereConditions">
	        where 1 = 1
	    
		<if test=" null != id "> 
		and `id` = #{id} 
       	
		</if>    
	    
		<if test=" null != tenantId "> 
		and `tenant_id` = #{tenantId}
       	
		</if>    
	    
		<if test=" null != sendType ">
		and `send_type` = #{sendType}
       	
		</if>    
	    
		<if test=" null != value "> 
		and `value` = #{value} 
       	
		</if>    
	    
		<if test=" null != remark "> 
		and `remark`  like concat('%', #{remark},'%')
       	
		</if>    
	    
		<if test=" null != createTime "> 
		and `create_time` = #{createTime} 
       	
		</if>    
	    
		<if test=" null != updateTime "> 
		and `update_time` = #{updateTime} 
       	
		</if>    
		<if test=" null != ids ">
		 	and id in  
			<foreach collection="ids" index="index" item="idItem" open="(" separator="," close=")">
			#{idItem}
			</foreach>
		</if>		
		<if test=" null != sortColumns"> order by ${sortColumns} </if>
	</sql>
	
	<select id="findList" parameterType="com.iformall.domain.po.WxCouponSendConfig" resultMap="BaseResultMap">
		select <include refid="allColumns" /> from wx_coupon_send_config
		<include refid="dynamicWhereConditions" />
	</select>

	
</mapper>
